Class Fox::FXPacker

In: | FXPacker.rb
Parent: | FXComposite

FXPacker is a layout manager which automatically places child windows inside its area against the left, right, top, or bottom side. Each time a child is placed, the remaining space is decreased by the amount of space taken by the child window. The side against which a child is placed is determined by the `LAYOUT_SIDE_TOP`, `LAYOUT_SIDE_BOTTOM`, `LAYOUT_SIDE_LEFT`, and `LAYOUT_SIDE_RIGHT` hints given by the child window. Other layout hints from the child are observed as far as sensible. So for example, a child placed against the right edge can still have `LAYOUT_FILL_Y` or `LAYOUT_TOP`, and so on. The last child may have both `LAYOUT_FILL_X` and `LAYOUT_FILL_Y`, in which case it will be placed to take all remaining space.

Methods

new

Attributes

baseColor | [RW] | Base GUI color [FXColor]
borderColor | [RW] | Border color [FXColor]
borderWidth | [R] | Border width, in pixels [Integer]
frameStyle | [RW] | Current frame style [Integer]
hSpacing | [RW] | Horizontal inter-child spacing, in pixels [Integer]
hiliteColor | [RW] | Highlight color [FXColor]
packingHints | [RW] | Packing hints [Integer]
padBottom | [RW] | Bottom padding, in pixels [Integer]
padLeft | [RW] | Left padding, in pixels [Integer]
padRight | [RW] | Right padding, in pixels [Integer]
padTop | [RW] | Top padding, in pixels [Integer]
shadowColor | [RW] | Shadow color [FXColor]
vSpacing | [RW] | Vertical inter-child spacing, in pixels [Integer]

Public Class methods

new(parent, opts=0, x=0, y=0, width=0, height=0, padLeft=DEFAULT_SPACING, padRight=DEFAULT_SPACING, padTop=DEFAULT_SPACING, padBottom=DEFAULT_SPACING, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|thePacker| ...}

Construct a packer layout manager